Package io.dapr.v1

# Class DaprProtos.TransactionalActorStateOperation.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>
io.dapr.v1.DaprProtos.TransactionalActorStateOperation.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `DaprProtos.TransactionalActorStateOperationOrBuilder`, `Cloneable`

Enclosing class:
  DaprProtos.TransactionalActorStateOperation

public static final class DaprProtos.TransactionalActorStateOperation.Builder extends com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder> implements DaprProtos.TransactionalActorStateOperationOrBuilder

     TransactionalActorStateOperation is the message to execute a specified operation with a key-value pair.

Protobuf type `dapr.proto.runtime.v1.TransactionalActorStateOperation`

## Method Summary

Modifier and Type
Method
Description
`DaprProtos.TransactionalActorStateOperation.Builder`
`addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TransactionalActorStateOperation`
`build()`
`DaprProtos.TransactionalActorStateOperation`
`buildPartial()`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clear()`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearKey()`
`string key = 2;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearMetadata()`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearOperationType()`
`string operationType = 1;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clearValue()`
`.google.protobuf.Any value = 3;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`clone()`
`boolean`
`containsMetadata(String key)`
The metadata used for transactional operations.
`DaprProtos.TransactionalActorStateOperation`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor`
`getDescriptorForType()`
`String`
`getKey()`
`string key = 2;`
`com.google.protobuf.ByteString`
`getKeyBytes()`
`string key = 2;`
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The metadata used for transactional operations.
`Map<String,String>`
`getMetadataMap()`
The metadata used for transactional operations.
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The metadata used for transactional operations.
`String`
`getMetadataOrThrow(String key)`
The metadata used for transactional operations.
`Map<String,String>`
`getMutableMetadata()`
Deprecated.
`String`
`getOperationType()`
`string operationType = 1;`
`com.google.protobuf.ByteString`
`getOperationTypeBytes()`
`string operationType = 1;`
`com.google.protobuf.Any`
`getValue()`
`.google.protobuf.Any value = 3;`
`com.google.protobuf.Any.Builder`
`getValueBuilder()`
`.google.protobuf.Any value = 3;`
`com.google.protobuf.AnyOrBuilder`
`getValueOrBuilder()`
`.google.protobuf.Any value = 3;`
`boolean`
`hasValue()`
`.google.protobuf.Any value = 3;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMapFieldReflection(int number)`
`protected com.google.protobuf.MapFieldReflectionAccessor`
`internalGetMutableMapFieldReflection(int number)`
`final boolean`
`isInitialized()`
`DaprProtos.TransactionalActorStateOperation.Builder`
`mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`mergeFrom(com.google.protobuf.Message other)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`mergeFrom(DaprProtos.TransactionalActorStateOperation other)`
`final DaprProtos.TransactionalActorStateOperation.Builder`
`mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`mergeValue(com.google.protobuf.Any value)`
`.google.protobuf.Any value = 3;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`putAllMetadata(Map<String,String> values)`
The metadata used for transactional operations.
`DaprProtos.TransactionalActorStateOperation.Builder`
`putMetadata(String key, String value)`
The metadata used for transactional operations.
`DaprProtos.TransactionalActorStateOperation.Builder`
`removeMetadata(String key)`
The metadata used for transactional operations.
`DaprProtos.TransactionalActorStateOperation.Builder`
`setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setKey(String value)`
`string key = 2;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setKeyBytes(com.google.protobuf.ByteString value)`
`string key = 2;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setOperationType(String value)`
`string operationType = 1;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setOperationTypeBytes(com.google.protobuf.ByteString value)`
`string operationType = 1;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`final DaprProtos.TransactionalActorStateOperation.Builder`
`setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setValue(com.google.protobuf.Any value)`
`.google.protobuf.Any value = 3;`
`DaprProtos.TransactionalActorStateOperation.Builder`
`setValue(com.google.protobuf.Any.Builder builderForValue)`
`.google.protobuf.Any value = 3;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMapFieldReflection(int number)

Overrides:
  `internalGetMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### internalGetMutableMapFieldReflection

protected com.google.protobuf.MapFieldReflectionAccessor internalGetMutableMapFieldReflection(int number)

Overrides:
  `internalGetMutableMapFieldReflection` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### clear

public DaprProtos.TransactionalActorStateOperation.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### getDefaultInstanceForType

public DaprProtos.TransactionalActorStateOperation getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public DaprProtos.TransactionalActorStateOperation build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public DaprProtos.TransactionalActorStateOperation buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public DaprProtos.TransactionalActorStateOperation.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### setField

public DaprProtos.TransactionalActorStateOperation.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### clearField

public DaprProtos.TransactionalActorStateOperation.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### clearOneof

public DaprProtos.TransactionalActorStateOperation.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### setRepeatedField

public DaprProtos.TransactionalActorStateOperation.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### addRepeatedField

public DaprProtos.TransactionalActorStateOperation.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalActorStateOperation.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalActorStateOperation.Builder mergeFrom(DaprProtos.TransactionalActorStateOperation other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### mergeFrom

public DaprProtos.TransactionalActorStateOperation.Builder mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`
Throws:
  `IOException`

### getOperationType

public String getOperationType()
`string operationType = 1;`

Specified by:
  `getOperationType` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  The operationType.

### getOperationTypeBytes

public com.google.protobuf.ByteString getOperationTypeBytes()
`string operationType = 1;`

Specified by:
  `getOperationTypeBytes` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  The bytes for operationType.

### setOperationType

public DaprProtos.TransactionalActorStateOperation.Builder setOperationType(String value)
`string operationType = 1;`

Parameters:
  `value` - The operationType to set.
Returns:
  This builder for chaining.

### clearOperationType

public DaprProtos.TransactionalActorStateOperation.Builder clearOperationType()
`string operationType = 1;`

Returns:
  This builder for chaining.

### setOperationTypeBytes

public DaprProtos.TransactionalActorStateOperation.Builder setOperationTypeBytes(com.google.protobuf.ByteString value)
`string operationType = 1;`

Parameters:
  `value` - The bytes for operationType to set.
Returns:
  This builder for chaining.

### getKey

public String getKey()
`string key = 2;`

Specified by:
  `getKey` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  The key.

### getKeyBytes

public com.google.protobuf.ByteString getKeyBytes()
`string key = 2;`

Specified by:
  `getKeyBytes` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  The bytes for key.

### setKey

public DaprProtos.TransactionalActorStateOperation.Builder setKey(String value)
`string key = 2;`

Parameters:
  `value` - The key to set.
Returns:
  This builder for chaining.

### clearKey

public DaprProtos.TransactionalActorStateOperation.Builder clearKey()
`string key = 2;`

Returns:
  This builder for chaining.

### setKeyBytes

public DaprProtos.TransactionalActorStateOperation.Builder setKeyBytes(com.google.protobuf.ByteString value)
`string key = 2;`

Parameters:
  `value` - The bytes for key to set.
Returns:
  This builder for chaining.

### hasValue

public boolean hasValue()
`.google.protobuf.Any value = 3;`

Specified by:
  `hasValue` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  Whether the value field is set.

### getValue

public com.google.protobuf.Any getValue()
`.google.protobuf.Any value = 3;`

Specified by:
  `getValue` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`
Returns:
  The value.

### setValue

public DaprProtos.TransactionalActorStateOperation.Builder setValue(com.google.protobuf.Any value)
`.google.protobuf.Any value = 3;`

### setValue

public DaprProtos.TransactionalActorStateOperation.Builder setValue(com.google.protobuf.Any.Builder builderForValue)
`.google.protobuf.Any value = 3;`

### mergeValue

public DaprProtos.TransactionalActorStateOperation.Builder mergeValue(com.google.protobuf.Any value)
`.google.protobuf.Any value = 3;`

### clearValue

public DaprProtos.TransactionalActorStateOperation.Builder clearValue()
`.google.protobuf.Any value = 3;`

### getValueBuilder

public com.google.protobuf.Any.Builder getValueBuilder()
`.google.protobuf.Any value = 3;`

### getValueOrBuilder

public com.google.protobuf.AnyOrBuilder getValueOrBuilder()
`.google.protobuf.Any value = 3;`

Specified by:
  `getValueOrBuilder` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### getMetadataCount

public int getMetadataCount()
Description copied from interface: `DaprProtos.TransactionalActorStateOperationOrBuilder`

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataCount` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### containsMetadata

public boolean containsMetadata(String key)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

Specified by:
  `containsMetadata` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### getMetadata

@Deprecated public Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

Specified by:
  `getMetadata` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### getMetadataMap

public Map<String,String> getMetadataMap()

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataMap` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### getMetadataOrDefault

public String getMetadataOrDefault(String key, String defaultValue)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrDefault` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### getMetadataOrThrow

public String getMetadataOrThrow(String key)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

Specified by:
  `getMetadataOrThrow` in interface `DaprProtos.TransactionalActorStateOperationOrBuilder`

### clearMetadata

public DaprProtos.TransactionalActorStateOperation.Builder clearMetadata()

### removeMetadata

public DaprProtos.TransactionalActorStateOperation.Builder removeMetadata(String key)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

### getMutableMetadata

@Deprecated public Map<String,String> getMutableMetadata()
Deprecated.
Use alternate mutation accessors instead.

### putMetadata

public DaprProtos.TransactionalActorStateOperation.Builder putMetadata(String key, String value)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

### putAllMetadata

public DaprProtos.TransactionalActorStateOperation.Builder putAllMetadata(Map<String,String> values)

     The metadata used for transactional operations.

     Common metadata property:
     - ttlInSeconds : the time to live in seconds for the stored value.

`map<string, string> metadata = 4;`

### setUnknownFields

public final DaprProtos.TransactionalActorStateOperation.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`

### mergeUnknownFields

public final DaprProtos.TransactionalActorStateOperation.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<DaprProtos.TransactionalActorStateOperation.Builder>`